<?php
/**
* Action box page zoom
*
* @package module_default
* @author Rapahel Kalla <kalla@papaya-cms.com>
* @version 
*/

/**
* Basic class Aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Action box page zoom - modifiy the besefont to zoom the whole page
*
* @package module_default
* @author Raphael Kalla
*/
class actionbox_pagezoom extends base_actionbox {

  var $preview = FALSE;
  
  var $editFields = array(
    'basefont'=>array ('Basefont size', 'isSomeText', TRUE, 'input', 6, 'Sizetype: em'),
    'zoomstep'=>array ('Zoomstep', 'isSomeText', TRUE, 'input', 6, 'Sizetype: em'),
  );
  
  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $currentZoom = @(float)$this->data['basefont'];
    if (isset($GLOBALS['PAPAYA_PAGE']) && is_object($GLOBALS['PAPAYA_PAGE'])) {
      $currentZoom = $GLOBALS['PAPAYA_PAGE']->getPageOption('pagezoom');
      if (!$currentZoom) {
        $currentZoom = @(float)$this->data['basefont'];
      }
      switch(@$_GET['zoom']) {
      case '1' :
        $currentZoom += @(float)$this->data['zoomstep'];
        $GLOBALS['PAPAYA_PAGE']->setPageOption('pagezoom', $currentZoom); 
        break;
      case '0' :
        $currentZoom -= @(float)$this->data['zoomstep'];
        $GLOBALS['PAPAYA_PAGE']->setPageOption('pagezoom', $currentZoom); 
        break;
      } 
      $result = '<zoom>';
      $result .= $currentZoom;
      $result .= '</zoom>';
    }
    return $result;
  }
}
?>