<?php
/**
* Navigation box to navigate on the current level of the site tree (previous/next)
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_prevnext.php,v 1.2 2005/10/17 14:41:41 weinert Exp $
*/


/**
* Basic class Action box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');
/**
* Navigation box to navigate on the current level of the site tree (previous/next)
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_prevnext extends base_actionbox {

  var $editFields = array(
    'sort'=>array ('Sort', 'isNum', TRUE, 'combo', array(0=>'Ascending', 1=>'Descending'))
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    include_once(PAPAYA_INCLUDE_PATH.'system/base_topic_navigation.php');
    $this->map = &new base_topic_navigation($this->topicObj, $this->data);
    return $this->map->getXML();
  }

  function getCacheId() {
    return md5(get_class($this).','.@(int)$this->topicObj->topicId);
  }
}
?>