<?php
/**
* Community modification module
*
* @package module_community
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: edmodule_community.php,v 1.1.1.1 2005/09/30 15:51:06 weinert Exp $
*/

/**
* Basic class modification module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* Community modification module
*
* Surfer administration
*
* @package module_community
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class edmodule_community extends base_module {

  var $glyph = 'worlduser.gif';

  var $permissions = array(
    1 => 'Manage',
    2 => 'Connect',
    3 => 'Export',
  );

  /**
  * Execute module
  *
  * @access public
  */
  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      include_once(dirname(__FILE__)."/base_surfers.php");

      $surf = &new surfer_admin($this->msgs);
      $surf->module = &$this;
      $surf->images = &$this->images;
      $surf->msgs = &$this->msgs;
      $surf->layout = &$this->layout;
      $surf->authUser = &$this->authUser;
      $surf->execute();
      $surf->get($this->layout);
      $surf->getButtons();
    }
  }
}

?>