<?php
/**
* Time calculation - Repeat after given timeframe
*
* @package module_time
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: time_timeframe.php,v 1.1.1.1 2005/09/30 15:51:06 weinert Exp $
*/

/**
* Basic class time claculation
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_crontime.php');
/**
* Time calculation - Repeat after given timeframe
*
* @package module_time
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class time_timeframe extends base_crontime {

  var $editFields = array(
    'days'=>array ('Days', 'isNum', TRUE, 'input', 5, '', 0),
    'hours'=>array ('Hours', 'isNum', TRUE, 'input', 5, '', 0),
    'minutes'=>array ('Minutes', 'isNum', TRUE, 'input', 5, '', 0)
  );

  /**
  * Get next date time
  *
  * @param integer $from
  * @access public
  * @return integer
  */
  function getNextDateTime($from) {
    $frame = (@(int)$this->data['minutes']*60) + (@(int)$this->data['hours']*3600) + (@(int)$this->data['days']*86400);
    return (($frame > 0) ? ($from + $frame) : 0);
  }

}
?>