<?php
/**
* Action box - next date in calendar
*
* @package module_calendar
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_nextdate.php,v 1.2 2005/10/17 14:42:24 weinert Exp $
*/

/**
* Basic class action box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');
/**
* Action box - next date in calendar
*
* @package module_calendar
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_nextdate extends base_actionbox {

  /**
  * Preview possible
  * @var boolean
  */
  var $preview = TRUE;

  var $editFields = array(
    'file'=>array ('Hyperlink', 'isNoHTML', TRUE, 'input', 50, ''),
    'count'=>array ('Date count', 'isNum', TRUE, 'input', 4, '', 1),
    'daysplus'=>array ('Additional days', 'isNum', TRUE, 'input', 2, '', '0')
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = '';
    include_once(dirname(__FILE__)."/papaya_calendar.php");
    $calendar = &new papaya_calendar;
    $calendar->initialize();
    $calendar->baseLink = $this->getAbsoluteURL($this->data['file']);
    $calendar->loadNextDates(time(), @(int)$this->data['days'], @(int)$this->data['count']);
    $str = $calendar->showTopics('');
    return $str;
  }
}
?>