<?php
/**
* Page module LinkDB
*
* @author Bodo Grassmann <grassmann@dimensional.de>
* @version $Id: content_catalog_azlist.php,v 1.12 2006/06/01 10:24:20 kelm Exp $
* @package papaya_module_catalog
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');

/**
* base catalog module
*/
include_once(dirname(__FILE__).'/base_catalog.php');

/**
* Page module Catalog
*
* @author Bodo Grassmann <grassmann@dimensional.de>
* @package papaya_module_catalog
*/
class content_catalog_azlist extends base_content {

  /**
  * Page content edit fields
  * @var array
  */
  var $editFields = array(
    'categ_base_id' => array('Base Category Id', 'isNum', TRUE, 'input', 200, ''),
    'title' => array('Title', 'isNoHTML', TRUE, 'input', 200, ''),
    'text' => array('Text', 'isSomeText', FALSE, 'richtext', 5, ''),
  );

  /**
  * Base catalog objeckt
  * @var object base_dialog
  */
  var $catalog = NULL;

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = sprintf('<title>%s</title>'.LF,
      $this->getXHTMLString(@$this->data['title']));
    $result .= sprintf("<text>%s</text>", $this->getXHTMLString(@$this->data['text']));
    $this->catalog = &new base_catalog();
    $this->catalog->module = &$this;
    $this->catalog->tableTopics = $this->topicObj->tableTopics;
    $this->catalog->tableTopicsTrans = $this->topicObj->tableTopicsTrans;
    $result .= $this->catalog->getAzListOutput($this->data['categ_base_id'], 
      $this->topicObj->getContentLanguageId());
    return $result;
  }
}

?>