<?php
/**
* Action box for PHP-Include
*
* @package module_embed
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_include.php,v 1.1.1.1 2005/09/30 15:51:07 weinert Exp $
*/

/**
* Basic class aktion box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');
/**
* Action box for Include-File
*
* Attention! Error in include can inhibit page display
*
* @package module_embed
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class actionbox_include extends base_actionbox {

  /**
  * edit fields
  * @var array
  */
  var $editFields = array(
    'file'=>array ('Einzubindende Datei', 'isFile', TRUE, 'input', 50, '')
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    return include($this->data['file']);
  }
}
?>