<?php
/**
* Module Feedback
*
* Feedback administration
*
* @author David Rekowski <rekowski@papaya-cms.com>
* @version $Id:$
* @package module_fedback
*/

/**
* Basic module class
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* Module Feedback
*
* Feedback store administration
*
* @author David Rekowski <rekowski@papaya-cms.com>
* @package module_feedback
*/
class edmodule_feedback_store extends base_module {

  var $permissions = array(
    1 => 'Manage',
  );

  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      $path = dirname(__FILE__);
      include_once($path.'/admin_feedback_store.php');
      $feedback = &new admin_feedback_store;
      $feedback->module   = &$this;
      $feedback->images   = &$this->images;
      $feedback->msgs     = &$this->msgs;
      $feedback->layout   = &$this->layout;
      $feedback->authUser = &$this->authUser;
      $feedback->initialize();
      $feedback->execute();
      $feedback->getXML();
    }
  }

}
?>