<?php
/**
* Log message viewer
*
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: log.php,v 1.1.1.1 2005/09/30 15:51:03 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE && $PAPAYA_USER->hasPerm(1)) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Protocol'));

  include_once(PAPAYA_INCLUDE_PATH.'system/base_log.php');

  $log = &new base_log();
  $log->initialize();
  $log->images = &$PAPAYA_IMAGES;
  $log->msgs = &$PAPAYA_MSG;
  $log->layout = &$PAPAYA_LAYOUT;
  $log->loadList();

  $log->getXML();
}

$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();

?>