<?php
/**
* Userverwaltung
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: overview.php,v 1.4 2005/11/29 14:02:55 kalla Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Overview'));

  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_overview.php');
  $overview = &new papaya_overview();
  $overview->layout = &$PAPAYA_LAYOUT;
  $overview->images = &$PAPAYA_IMAGES;
  $overview->msgs = &$PAPAYA_MSG;
  $overview->authUser = &$PAPAYA_USER;

  $overview->initialize();
  $overview->execute();
  $overview->getXML();
  
  if ($subMenu = $overview->getButtons()) {
    $PAPAYA_NAVIGATION->setMenu('sub',$subMenu);
  }
  
}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();
?>