<?php
/**
* Manage views (content module + xsl files)
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: views.php,v 1.1.1.1 2005/09/30 15:51:03 weinert Exp $
*/

/**
* Check user and init admin page
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE && ($PAPAYA_USER->hasPerm(4))) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Modules/Views'));

  include_once(PAPAYA_INCLUDE_PATH.'system/base_viewlist.php');

  $views = &new base_viewlist;
  $views->msgs = &$PAPAYA_MSG;
  $views->images = &$PAPAYA_IMAGES;
  $views->layout = &$PAPAYA_LAYOUT;
  $views->authUser = &$PAPAYA_USER;

  $views->initialize();
  $views->execute();
  $views->getXML();

}

$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();
?>