<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="PAGE_THEME_PATH" />
<xsl:param name="PAGE_WEB_PATH" />

<xsl:output method="html" encoding="utf-8" standalone="no" indent="yes" omit-xml-declaration="yes" />
  
<xsl:template name="space">
  <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</xsl:template>
<xsl:template name="copyright">
  <xsl:text disable-output-escaping="yes">&amp;copy;</xsl:text>
</xsl:template>

<xsl:template match="comments">
  <xsl:choose>
    <xsl:when test="count(entry) &gt; 0"><a href="{@href}"><h3>Kommentare:</h3></a></xsl:when>
    <xsl:otherwise><a href="{@href}"><h3>Kommentieren:</h3></a></xsl:otherwise>
  </xsl:choose>
  <xsl:for-each select="entry">
    <a href="{@href}"><xsl:value-of select="@title" /></a> (<xsl:value-of select="@username" /> - <xsl:value-of select="@created" />)<br />
  </xsl:for-each>
  <xsl:if test="count(entry) &gt; 0">
    <br />
    <b><a href="{@href}">...mehr</a></b>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>