<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">

<xsl:output method="html" encoding="utf-8" standalone="no" indent="yes" /> 

<xsl:param name="TOPICS_MAX_COUNT">10</xsl:param>
  
<xsl:template match="/"> 
  <div class="boxRDF">    
    <div class="rdfTitle"><xsl:value-of select="rdf:RDF/*[local-name() = 'channel']/*[local-name() = 'title']"/></div>    
    <div class="rdfItems">
      <ul>
        <xsl:for-each select="rdf:RDF/*[local-name() = 'item']">
          <xsl:if test="position() &lt;= $TOPICS_MAX_COUNT">
            <li>
              <a class="rdfItem" href="{*[local-name() = 'link']}" target="_blank"><xsl:value-of select="*[local-name() = 'title']"/></a>
            </li>
          </xsl:if>
        </xsl:for-each>
      </ul>
    </div>
  </div>
</xsl:template>  

</xsl:stylesheet>
