<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:param name="PAGE_THEME_PATH" />
<xsl:param name="PAGE_WEB_PATH" />

<xsl:output method="xml" encoding="utf-8" standalone="no" indent="yes" omit-xml-declaration="yes" />
  
<xsl:template match="subtopics">
  <xsl:for-each select="subtopic">
    <h3 class="teaserBoxTopicTitle"><a href="{@href}"><xsl:value-of select="title" disable-output-escaping="yes"/></a></h3>
    <div class="teaserBoxTopicTeaser">
      <xsl:value-of select="text" disable-output-escaping="yes"/> 
    </div>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>