<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:param name="PAGE_THEME_PATH" />
<xsl:param name="PAGE_WEB_PATH" />

<xsl:output method="xml" encoding="utf-8" standalone="no" indent="yes" omit-xml-declaration="yes" />
  
<xsl:template name="space">
  <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</xsl:template>
<xsl:template name="copyright">
  <xsl:text disable-output-escaping="yes">&amp;copy;</xsl:text>
</xsl:template>

<xsl:template match="login">
  <form action="{@action}" method="post" style="margin: 0px;">
    <table border="0" cellpadding="0" cellspacing="0" class="login" align="center">
      <tr>
        <td>Name</td>
      </tr>
      <tr>
        <td><input type="text" name="{@name}_{element[@type='username']/@name}" value="{element[@type='username']/@value}" class="logininput"/></td>
      </tr>
      <tr>
        <td>Passwort</td>
      </tr>
      <tr>
        <td><input type="password" name="{@name}_{element[@type='password']/@name}" value="{element[@type='password']/@value}" class="logininput"/></td>
      </tr>
      <tr>
        <td class="right"><input type="submit" value="Anmelden" align="left" class="submitButton" /></td>
      </tr>
    </table>
  </form>
</xsl:template>

<xsl:template match="logout">
  <form action="{@action}" method="post">
    <input type="hidden" value="1" name="{@name}_logout"/>
    <div align="center">
      <br/>
      <b><xsl:value-of select="@fullname" disable-output-escaping="yes"/></b>
      <br/><br/>
      <input type="submit" value="Abmelden" class="submitLogoutButton"/>
    </div>
  </form>
</xsl:template>

<!-- Standard Templates -->

</xsl:stylesheet>