<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:param name="PAGE_THEME_PATH" />
<xsl:param name="PAGE_WEB_PATH" />

<xsl:output method="xml" encoding="utf-8" standalone="no" indent="no" omit-xml-declaration="yes" />
  
<xsl:variable name="orient" select="sitemap/@orient" />

<xsl:template match="sitemap">
  <div class="navigationStatic">
    <xsl:for-each select="mapitem">
      <xsl:if test="position() = 1"><img src="{$PAGE_THEME_PATH}pics/navbullet4.gif" alt="" /></xsl:if>
      <a href="{@href}" class="menuStatic"><xsl:value-of select="@title" disable-output-escaping="yes" /></a>  
      <img src="{$PAGE_THEME_PATH}pics/navbullet4.gif" alt="" style="" />   
    </xsl:for-each>
  </div>
</xsl:template>

</xsl:stylesheet>

