<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="./lang/language.xsl" />
<xsl:import href="./lang/de.xsl"/>
<xsl:import href="./lang/en.xsl"/>

<xsl:output method="xml" encoding="utf-8" standalone="yes" indent="yes" />

<xsl:param name="PAGE_WEB_PATH">/</xsl:param>
<xsl:param name="PAGE_BASE_URL"></xsl:param>
<xsl:param name="PAGE_TITLE"></xsl:param>

<xsl:variable name="TIME_OFFSET">+01:00</xsl:variable>

<xsl:template match="/">

<rss version="2.0">
 <channel>
    <title>papaya 5 Demo</title>
   <link><xsl:value-of select="$PAGE_BASE_URL"/></link>
   <description>papaya 5 RSS Feed</description>
   <language>de</language>

  <xsl:for-each select="/page/content/topic/subtopics/subtopic">
    <item>
      <title><xsl:value-of select="title" /></title>
      <description><xsl:value-of select="text" /></description>
      <link><xsl:value-of select="$PAGE_BASE_URL"/><xsl:value-of select="@href" /></link>
      <pubDate><xsl:value-of select="@createdRFC822" /></pubDate>
   </item>
  </xsl:for-each>
 </channel>
</rss>

</xsl:template>

</xsl:stylesheet>