<?php
/**
* Action box for Category teaser
*
* Zeigt den Teaser der ersten Unterseite einer Kategorie an.
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_categteaser.php,v 1.6 2006/05/26 14:42:10 weinert Exp $
*/

/**
* Basic class Action box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');
/**
* Action box for Category teaser
*
* Zeigt den Teaser der ersten Unterseite einer Kategorie an.
*
* @author Thomas Weinert <weinert@papaya-cms.com>
* @package module_default
*/
class actionbox_categteaser extends base_actionbox {

  var $editFields = array(
    'page'=>array ('Page', 'isNum', TRUE, 'input', 5, '', '0'),
    'count'=>array ('Count', 'isNum', TRUE, 'input', 5, '', 1),
    'sort'=>array ('Sort', 'isNum', TRUE, 'combo', array(0=>'Ascending', 1=>'Descending'))
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    $result = '';
    include_once(PAPAYA_INCLUDE_PATH.'system/base_topiclist.php');
    $topicList = &new base_topiclist;
    $topicList->databaseURI = $this->topicObj->databaseURI;
    $topicList->tableTopics = $this->topicObj->tableTopics;
    $topicList->tableTopicsTrans = $this->topicObj->tableTopicsTrans;
    $topicClass = get_class($this->topicObj);
    $topicList->loadList((int)$this->data['page'], $this->topicObj->topic['TRANSLATION']['lng_id'], 
      TRUE, ((bool)$this->data['sort']), (int)@$this->data['count']);
    if ($str = $topicList->getList($topicClass, (int)@$this->data['count'])) {
      include_once(PAPAYA_INCLUDE_PATH.'system/papaya_parser.php');
      $parser = &new papaya_parser;
      $parser->tableTopics = $this->topicObj->tableTopics;
      $result = $parser->parse($str,  $this->topicObj->getContentLanguageId());
      unset($parser);
    }
    return $result;
  }
}
?>