<?php
/**
* Action box for richtext
*
* @package module_default
* @author David Rekowski <rekowski@papaya-cms.com>
* @version $Id: actbox_richtext.php,v 1.1 2006/05/26 06:45:08 rekowski Exp $
*/

/**
* Basic class action box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');

/**
* Action box for richtext
*
* @package module_default
* @author David Rekowski <rekowski@papaya-cms.com>
*/
class actionbox_richtext extends base_actionbox {

  var $preview = TRUE;

  var $editFields = array(
    'nl2br'=>array ('Automatic linebreak', 'isNum', FALSE, 'combo', array(0=>'Yes', 1=>'No'),
      'Apply linebreaks from input to the HTML output.'),
    'text'=>array ('Text', 'isSomeText', FALSE, 'richtext', 30)
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    return $this->getXHTMLString(@$this->data['text'], !((bool)@$this->data['nl2br']));
  }
}
?>