<?php
/**
* Module FAQ
*
* FAQ-management
*
* @author Bodo Grassmann <grassmann@papaya-cms.com>
* @version $Id: edmodule_faq.php,v 1.1.1.1 2005/09/30 15:51:07 weinert Exp $
* @package module_faq
*/

/**
* Basic class module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* Module FAQ
*
* FAQ-management
*
* @author Bodo Grassmann <grassmann@papaya-cms.com>
* @package module_faq
*/
class edmodule_faq extends base_module {

  /**
  * Permissions
  * @var array $permissions
  */
  var $permissions = array(
    1 => 'Manage',
    2 => 'Edit Entries/Comments',                             // change
    3 => 'Edit FAQs/Groups'
  );


  /**
  * Function for execute module
  *
  * @access public
  */
  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      $path = dirname(__FILE__);
      include_once($path.'/base_faq.php');
      $faq = &new base_faq;
      $faq->module = &$this;
      $faq->images = &$this->images;
      $faq->msgs = &$this->msgs;
      $faq->layout = &$this->layout;
      $faq->authUser = &$this->authUser;

      // parameter etc einlesen
      $faq->initialize();
      // aus init verarbeiten
      $faq->execute();
      // daten ausgeben keine datenbankaktionen
      $faq->getXML();
    }
  }
}

?>