<?php
/**
* Modules managment
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: imggen.php,v 1.2 2006/04/24 16:23:28 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

/**
* moduels manager
*/
include_once(PAPAYA_INCLUDE_PATH.'system/papaya_imagegenerator.php');

if ($PAPAYA_SHOW_ADMIN_PAGE) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Image generator'));

  $imgGenerator = &new papaya_imagegenerator();
  $imgGenerator->layout = &$PAPAYA_LAYOUT;
  $imgGenerator->images = &$PAPAYA_IMAGES;
  $imgGenerator->msgs = &$PAPAYA_MSG;
  $imgGenerator->authUser = &$PAPAYA_USER;

  $imgGenerator->initialize();
  $imgGenerator->execute();
  $imgGenerator->getXML();
}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();
?>