<?php
/**
* Media database
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: imglib.php,v 1.4 2005/12/01 09:31:54 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");


if ($PAPAYA_SHOW_ADMIN_PAGE) {
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_fileman.php');

  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Media database'));

  $fileManager = &new papaya_filemanager;
  $fileManager->dataDirectory = PAPAYA_PATH_MEDIAFILES;
  $fileManager->thumbnailDirectory = PAPAYA_PATH_THUMBFILES;

  $fileManager->msgs = &$PAPAYA_MSG;
  $fileManager->authUser = &$PAPAYA_USER;
  $fileManager->images = &$PAPAYA_IMAGES;
  $fileManager->layout = &$PAPAYA_LAYOUT;

  $fileManager->initialize();
  $fileManager->execute();
  $fileManager->getXML();

  $PAPAYA_NAVIGATION->setMenu('edit', $fileManager->getButtons());

}

$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();

?>