function changeFrames(params) {
  
  objList = document.getElementById("flist");
  objPreview = document.getElementById("fpreview");
  objThumbs = document.getElementById("fthumbs");
  if (document.frames != null) {
    document.frames[0].location.href = linkList+params;
    document.frames[1].location.href = linkPreview+params;
    document.frames[2].location.href = linkThumbs+params;
  } else {
    top.frames[0].location = linkList+params;
    top.frames[1].location = linkPreview+params;
    top.frames[2].location = linkThumbs+params;
  }
}

function resizeImage() {
  theObj = document.getElementById("preview");
  if (theObj != null) {
    orgWidth = imgwidth;
    orgHeight = imgheight; 
    
    var maxWidth; 
    var maxHeight;
        
    if (self.innerHeight){ // all except Explorer
      maxWidth = self.innerWidth;
	    maxHeight = self.innerHeight;
    }
    else if (document.documentElement && document.documentElement.clientHeight){	
    // Explorer 6 Strict Mode
      maxWidth = document.documentElement.clientWidth;
	    maxHeight = document.documentElement.clientHeight;
    }
    else if (document.body){ // other Explorers
      maxWidth = document.body.clientWidth;
	    maxHeight = document.body.clientHeight;
    }
    
    var divWidth =(orgWidth / maxWidth);
    var divHeight = (orgHeight / maxHeight); 
        
    if (divWidth >= divHeight) {
      newWidth = maxWidth;
      newHeight = (orgHeight / divWidth);
    } else {
      newHeight = maxHeight;
      newWidth = (orgWidth / divHeight);
    }
    
    newLeft = ((maxWidth - newWidth) / 2);
    newTop = ((maxHeight - newHeight) / 2);
    
    if ((actWidth != newWidth) || (actHeight != newHeight) ||
        (actTop != newTop) || (actLeft != newLeft)) {
      actWidth = newWidth;
      actHeight = newHeight;
      actTop = newTop;
      actLeft = newLeft;
      if (theObj.style.pixelHeight != null) {
        theObj.style.pixelHeight = parseInt(newHeight);   
        theObj.style.pixelWidth = parseInt(newWidth); 
        theObj.style.pixelLeft = parseInt(newLeft);
        theObj.style.pixelTop = parseInt(newTop);
      } else {
        theObj.style.width = parseInt(newWidth)+"px";
        theObj.style.height = parseInt(newHeight)+"px";
        theObj.style.left = parseInt(newLeft)+"px";
        theObj.style.top = parseInt(newTop)+"px";
      }
    }
  }
  window.setTimeout("resizeImage()",500); 
}

function createMediaImageTag() {  
  var editform = document.getElementById('imgform');
  if (editform != null) { 
    var imgstr = '<papaya:media src="'+imgurl+'"';
    var editfield = editform.imgtag;
    var resize_it = false; 
    
    var editdownload = editform.imgdownload;
    if (editdownload.value != null) {
      editdownload = editdownload.value;
    } else {
      editdownload = editdownload.options[editdownload.selectedIndex].value;
    }
    if (editdownload != 'yes') {
         
      var editalign = editform.imgalign;
      if (editalign.value != null) {
  		  editalign = editalign.value;
  		} else {
  		  editalign = editalign.options[editalign.selectedIndex].value;
  		}
  		if (editalign != '') { 
        imgstr += ' align="'+editalign+'"';
      }
      var editsubtitle = editform.imgsubtitle.value;
      if (editsubtitle != '') {
        imgstr += ' subtitle="'+editsubtitle+'"';
      }   
      var editalt = editform.imgalt.value;
      if (editalt != '') {
        imgstr += ' alt="'+editalt+'"';
      }    
      var editwidth = parseInt(editform.imgwidth.value);
      if(isNaN(editwidth) == false) {
        imgstr += ' width="'+editwidth+'"';
        resize_it = true;
      }
      var editheight = parseInt(editform.imgheight.value);
      if(isNaN(editheight) == false) {
        imgstr += ' height="'+editheight+'"';
        resize_it = true;
      } 
      var editresize = editform.imgresize;
      if (editresize.value != null) {
        editresize = editresize.value;
      } else {
        editresize = editresize.options[editresize.selectedIndex].value;
      }
      if (resize_it == true) {
        if ((editresize == 'min') || (editresize == 'mincrop') || (editresize == 'abs')) {
          imgstr += ' resize="'+editresize+'"';
        }
      }
      var editlspace = parseInt(editform.imglspace.value);
      if(isNaN(editlspace) == false) {
        imgstr += ' lspace="'+editlspace+'"';
      }
      var edittspace = parseInt(editform.imgtspace.value);
      if(isNaN(edittspace) == false) {
        imgstr += ' tspace="'+edittspace+'"';
      }
      var editrspace = parseInt(editform.imgrspace.value);
      if(isNaN(editrspace) == false) {
        imgstr += ' rspace="'+editrspace+'"';
      }
      var editbspace = parseInt(editform.imgbspace.value);
      if(isNaN(editbspace) == false) {
        imgstr += ' bspace="'+editbspace+'"';
      }
      var editlink = editform.imglink.value;
      if (editlink != '') {
        imgstr += ' href="'+editlink+'"';
      }
    } else {
      imgstr += ' download="'+editdownload+'"';
      
      var editsubtitle = editform.imgsubtitle.value;
      if (editsubtitle != '') {
        imgstr += ' text="'+editsubtitle+'"';
      }   
      var editalt = editform.imgalt.value;
      if (editalt != '') {
        imgstr += ' hint="'+editalt+'"';
      }
    }
    
    var edittarget = editform.imgtarget;
    if (edittarget.value != null) {
      edittarget = edittarget.value;
    } else {
      edittarget = edittarget.options[edittarget.selectedIndex].value;
    }
		if (edittarget != '') { 
      imgstr += ' target="'+edittarget+'"';
    }
    
    
    imgstr += '/>';
    if (editfield != null) {
      editfield.value = imgstr;
    }
  }
}


function createMediaLinkTag() {

  var editform = document.getElementById('imgform');
  if (editform != null) { 
    var imgstr = '<papaya:media src="'+imgurl+'"';
    var editfield = editform.imgtag;
    var resize_it = false; 
     
    var edittarget = editform.imgtarget;
    if (edittarget.value != null) {
      edittarget = edittarget.value;
    } else {
      edittarget = edittarget.options[edittarget.selectedIndex].value;
    }
		if (edittarget != '') { 
      imgstr += ' target="'+edittarget+'"';
    }
    var edittext = editform.imgtext.value;
    if (edittext != '') {
      imgstr += ' text="'+edittext+'"';
    }    
    var edithint = editform.imghint.value;
    if (edithint != '') {
      imgstr += ' hint="'+edithint+'"';
    }  
    imgstr += '/>';
    if (editfield != null) {
      editfield.value = imgstr;
    }
  }
}