<?php
/**
* Manage User ToDo List
* @module papaya-admin
* @author <kalla@papaya-cms.de>
*/
/**
* Authentication
*/
require_once("./inc.auth.php");

  /**
  * Edit pages
  */
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_topic.php');
  /**
  * Edit todos
  */
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_todo.php');
  
  if ($PAPAYA_SHOW_ADMIN_PAGE) {
    initNavigation();
    $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Todo List'));
  
    $todoList = &new papaya_todo;
    $todoList->images = &$PAPAYA_IMAGES;
    $todoList->layout = &$PAPAYA_LAYOUT;
    $todoList->authUser = &$PAPAYA_USER;
    $todoList->msgs = &$PAPAYA_MSG;
    $todoList->initialize();
    $todoList->execute();
    $todoList->getXML();
  }

  if ($editMenu = $todoList->getButtons()) {
    $PAPAYA_NAVIGATION->setMenu('edit',$editMenu);
  }


$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();

?>