<?php
/**
* Sitemap
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: tree.php,v 1.3 2005/10/27 11:09:31 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE) {
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_topic_tree.php');
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_topic.php');

  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE',  _gt('Sitemap'));

  $topicTree = &new papaya_topic_tree;
  $topicTree->msgs = &$PAPAYA_MSG;
  $topicTree->images = &$PAPAYA_IMAGES;
  $topicTree->authUser = &$PAPAYA_USER;
  $topicTree->layout = &$PAPAYA_LAYOUT;
  $topicTree->initialize(@(int)$_REQUEST['p_id']);

  if ($PAPAYA_USER->options['PAPAYA_USE_FLASHCONTROLS']) {
    $topicTree->execute($PAPAYA_USER->startNode);
    $PAPAYA_NAVIGATION->setMenu('edit',$topicTree->getButtons());
    $PAPAYA_LAYOUT->add('<panel title="Sitemap" width="684"><flash src="./flash/sitetree.swf?page_id='.(int)$topicTree->params['page_id'].'" width="680" height="400"/></panel>');
    $PAPAYA_LAYOUT->addRight('<sheet width="100%" align="center"><text><div style="padding: 0px 5px 0px 5px; ">'._gtfile('sitemap_info.txt').'</div></text></sheet>');
  } else {
    $topicTree->execute();
    $topicTree->get();
    $PAPAYA_NAVIGATION->setMenu('edit', $topicTree->getButtons());
  }
}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();

?>